<?php
include("configuracao.php");//confirma no banco de dados
include("inclusos/funcoes.php");
//PRIMEIRO SELECIONO IMPORTAÇÃO FINANCEIRO

$SelecionaFinanceiro = Seleciona("importar_financeiro", "", "");
while($financeiro = mysql_fetch_array($SelecionaFinanceiro)){

//TRATO CAMPO VALOR
$ValorSemPonto = str_replace(".","",$financeiro['valor']);
$ValorSemVirgula = str_replace(",",".",$ValorSemPonto);
$ValorConta = str_replace("-","",$ValorSemVirgula);
$TipoConta = $financeiro['tipo'];
$CategoriaConta = $financeiro['categoria'];
$TituloConta = $financeiro['titulo'];
$DataConta = $financeiro['dataconta'];
$ObservacaoConta = $financeiro['observacao'] . " - " . $financeiro['observacao2'];
$idcentrodecusto = $financeiro['idcentrodecusto'];
$NfConta = $financeiro['nf'];
$idobra = $financeiro['idobra'];
$Aprovado = $financeiro['aprovado'];


//PRIMEIRO CRIO CONTA
$campos_tabela_conta = "tipo_conta, categoria, titulo_conta, valor_conta, data_conta, status_conta, observacao, datacadastro, idcentrodecusto, nf, idobra, idfilial, aprovado";

$campos_conta = "'$TipoConta', '$CategoriaConta', '$TituloConta', '$ValorConta', '$DataConta', 'Aberto', '$ObservacaoConta', '".date('Y-m-d')."', '$idcentrodecusto', '$NfConta', '$idobra', '1', '$Aprovado'";

//INSERIR REGISTROS
$SalvarConta = Salvar("contas", $campos_tabela_conta, $campos_conta);
$id_conta = mysql_insert_id();
//exit();
//LOG FINANCEIRO
if($financeiro['tipo'] == "Receber"){ $tipolog = "Entrada"; }else{ $tipolog = "Saida"; }

$SalvarLogFinanceiroConta = Salvar("logs_financeiro", "tipo, categoria, idconta, data, valor, status, idcentrodecusto, observacao", "'$tipolog', '$CategoriaConta', '$id_conta', '$DataConta', '$ValorConta', 'Aberto', '$idcentrodecusto', '$ObservacaoConta'") or die(mysql_error());	
	
//FIM CONTA

//CRIO PAGAMENTO
$campos_tabela_pagamentos = "idconta, valor, tipo, data, status, valor_total, tipo_conta, observacao_pagamento,  idcentrodecusto";

$campos_value_pagamentos = "'$id_conta', '$ValorConta', 'TransferenciaDeposito', '$DataConta', 'Aberto', '$ValorConta', '$TipoConta', 'IMPORTAÇÃO EXCEL 27/11/17', '$idcentrodecusto'";    

$salvar_pagamentos = Salvar("pagamentos", $campos_tabela_pagamentos, $campos_value_pagamentos);
$id_pagamento = mysql_insert_id();

$SalvarLogFinanceiroPagamento = Salvar("logs_financeiro", "tipo, categoria, idconta, idpagamento, data, valor, tipo_pagamento, status, idcentrodecusto", "'$tipolog', '$CategoriaConta', '$id_conta', '$id_pagamento', '$DataConta', '$ValorConta', 'TransferenciaDeposito', 'Aberto', '$idcentrodecusto'");	

$ValorSemVirgula = "";
$ValorConta = "";

$TipoConta = "";
$CategoriaConta = "";
$TituloConta = "";
$DataConta = "";
$ObservacaoConta = "";
$idcentrodecusto = "";
$NfConta = "";
$idobra = "";
$Aprovado = "";
}
?>